Referrers by counted referrals, with search and filters
GET
/api/v1/workspaces/{workspace}/grow/referrals/{program}/referrers
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/referrals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/referrers?page=1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/referrals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/referrers?page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/referrals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/referrers?page=1' \ --header 'Authorization: Bearer <token>'Permission: grow:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
program
required
string format: uuid
Query Parameters
Section titled “Query Parameters”q
string
milestone
0 any, -1 none yet, n reached n
integer format: int64
0 any, -1 none yet, n reached n
held
boolean
paused
boolean
page
integer format: int64
Responses
Section titled “Responses”OK
Media typeapplication/json
object
heldReferrers
required
integer format: int64
helpers
required
object
connect
required
Array<string>
earn
required
Array<string>
edit
required
Array<string>
export
required
Array<string>
review
required
Array<string>
items
required
Array<object>
object
contactId
required
string
counted
required
integer format: int64
email
required
string
held
required
integer format: int64
inHold
required
integer format: int64
lastReferral
string format: date-time
linkId
required
string
linkStatus
required
string
milestones
required
Array<integer>
name
required
string
notCounted
required
integer format: int64
rewardsSent
required
integer format: int64
unclaimed
required
string
milestoneCounts
required
Array<object>
object
count
required
integer format: int64
referrers
required
integer format: int64
page
required
integer format: int64
pausedLinks
required
integer format: int64
showAddresses
required
boolean
total
required
integer format: int64
withCounted
required
integer format: int64
Example
{ "items": [ { "linkStatus": "active" } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}